---
layout: default
---

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">

		<title>{{ site.author }}</title>
		<meta name="keywords" content="">
		<meta name="description" content="">
        <meta name="author" content="templatemo">
        <!-- 
        Lavish HTML CSS Template
        https://templatemo.com/tm-458-lavish
        -->
        
		<meta http-equiv="X-UA-Compatible" content="IE=Edge">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1">


	</head>
	<body>

	<div id="fullpage">

		<!-- start home -->
		<div id="home" class="section">
			<div class="container">
				<div class="row">
					<div class="col-md-2"></div>
					<div class="col-md-8 wow fadeIn" data-wow-delay="0.9s">
						<h1>{{ site.author }}</h1>
						<h2 class="rotate">Programmer, Builder &AMP; Packager, Automation Engineer</h2>
						<p>They call it full-stack nowadays but I prefer the former term..</p>
						<a href="#contact" class="btn btn-default smoothScroll wow fadeInUp" data-wow-delay="1s">Contact me</a>
					</div>
					<div class="col-md-2"></div>
				</div>
			</div>
		</div>
		<!-- end home -->

		<!-- start work -->
		<div id="work" class="section">
			<div class="container">
				<div class="row">
					<div class="col-md-12 wow bounce">
						<h2>WHAT I DO</h2>
					</div>
                </div>  
                
                <div class="row">
					<div class="col-md-4 col-xs-11 wow fadeInUp" data-wow-delay="0.6s">
						<div class="media">
							<div class="media-object media-left">
								<i class="fa fa-laptop"></i>
							</div>
							<div class="media-body">
								<h3 class="media-heading">Backend development</h3>
								<p>The nuts and bolts that everyone needs and most people don't want to hear about</p>
							</div>
						</div>
					</div>
                    
					<div class="col-md-4 col-xs-11 wow fadeInUp" data-wow-delay="0.6s">
						<div class="media">
							<div class="media-object media-left">
								<i class="fa fa-link"></i>
							</div>
							<div class="media-body">
								<h3 class="media-heading">Build &AMP; Packaging</h3>
								<p>Struggling to build and package your code and third party deps in a dependable manner? I can make these headaches go away.</p>
							</div>
						</div>
					</div>
                    
					<div class="col-md-4 col-xs-11 wow fadeInUp" data-wow-delay="0.6s">
						<div class="media">
							<div class="media-object media-left">
								<i class="fa fa-paper-plane"></i>
							</div>
							<div class="media-body">
								<h3 class="media-heading">Porting &AMP; Migrations</h3>
								<p>Got some C code written 20 years ago to run on AIX? I can help you port it to a modern day Linux distribution</p>
							</div>
						</div>
					</div>

                    
				</div>
			</div>
		</div>
		<!-- end work -->

		<!-- start about -->
		<div id="about" class="section">
			<div class="container">
				<div class="row">
					<div class="col-md-6 col-xs-11 wow fadeInLeft" data-wow-delay="0.9s">
						<h2>ABOUT ME</h2>
						<h4>Programmer &AMP; Builder</h4>
							<p>My name is {{site.author}}</p>
							<p>I am a multidisciplinary programmer (they call it full-stack nowadays but I prefer the former term).</p>
							<p>I have a clear preference towards backend development and automation (but can also do front-end stuff), a solid UNIX (that includes Linux, of course) system administration experience and basic understanding of hardware (I have never designed HW but I know how to put it together and apart and what common parts do and how to test them for issues).</p>
							<p>I have vast experience with packaging and deployment automation and am well versed in packaging RPMs and Debs, as well as other common formats (NPM, PIP, Maven, etc).</p>
							<p>I enjoy taking people's build and deployment headaches and turning them into rainbows.</p>
					</div>
					<div class="col-md-6 col-xs-11 wow fadeInRight" data-wow-delay="0.9s">

						<span class="text-top">System Architecture</span>
							<div class="progress">
								<div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 100%;"></div>
							</div>

						<span class="text-top">Build &AMP; Packaging</span>
							<div class="progress">
								<div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 100%;"></div>
							</div>

						<span class="text-top">Porting &AMP; Migrations</span>
							<div class="progress">
								<div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 100%;"></div>
							</div>

						<span class="text-top">Deployment Automation</span>
							<div class="progress">
								<div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 100%;"></div>
							</div>

						<span class="text-top">API Integrations</span>
							<div class="progress">
								<div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 100%;"></div>
							</div>

						<span class="text-top">Web &AMP; Mobile Development</span>
							<div class="progress">
								<div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 100%;"></div>
							</div>
					</div>
				</div>
			</div>
		</div>
		<!-- end about -->

		<!-- start portfolio -->
		<div id="portfolio" class="section">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<h2 class="wow bounce">PORTFOLIO</h2>
					<p>A selection of projects I contributed to. Flip the cards for details.</p>
					<br />
				</div>
				  <div class="wrapper">  

				    <div class="card front-face">  
				     <img src="/img/zaje.png" alt="zaje"/>  
				    </div>  
				    <div class="card back-face">  
				     <div class="info">  
				      <div class="title"><a href="https://github.com/jessp01/zaje" target="_blank">ZAJE</a></div>  

				      <p><br />`zaje` is a syntax highlighter that aims to cover all your shell colouring needs.</p>  
					<p>zaje can act as an ad hoc replacement for `cat` and, with a spot of one-line shell functions `tail` and other friends.</p>
				     </div>  
				    </div>  
				   </div>  

				  <div class="wrapper">  

				    <div class="card front-face">  
				     <img src="/img/gohighlight.png" alt="gohighlight"/>  
				    </div>  
				    <div class="card back-face">  
				     <div class="info">  
				      <div class="title"><a href="https://github.com/jessp01/gohighlight" target="_blank">GoHighlight</a></div>  

				      <p><br />`gohighlight` is a syntax highlighter for programming languages, config formats and UNIX commands.</p>  
					<p>Gohighlight includes over a 120 different lexers; contributions are most welcome:)</p>
				     </div>  
				    </div>  
				   </div>

				  <div class="wrapper">  

				    <div class="card front-face">  
				     <img src="/img/md2pdf.png" alt="md2pdf"/>  
				    </div>  
				    <div class="card back-face">  
				     <div class="info">  
				      <div class="title"><a href="https://github.com/mandolyte/mdtopdf" target="_blank">mdtopdf</a></div>  

				      <p><br />`md2pdf` converts markdown files into PDFs.</p>  
				      <p>It supports syntax highlighting, paging and dark and light themes.</p>
				     </div>  
				    </div>  
				   </div>

				  <div class="wrapper">  

				    <div class="card front-face">  
				     <img src="/img/zam.png" alt="zam"/>  
				    </div>  
				    <div class="card back-face">  
				     <div class="info">  
				      <div class="title"><a href="https://gitlab.com/jessp01/zam" target="_blank"> ZAM</a></div>  

				      <p><br />ZAM is a clone of the old times Amiga classic game "Xenon 2: The megablast"</p>  
					<p>Originally produced by The Bitmap Brothers.</p>
					<p>Later ported by Gianluca Insolvibile and finally - by me:)</p>
				     </div>  
				    </div>  
				   </div>  

				  <div class="wrapper">  

				    <div class="card front-face">  
				     <img src="/img/jesse_title0.png" alt="packman.io" />  
				    </div>  
				    <div class="card back-face">  
				     <div class="info">  
				      <div class="title"><a href="https://gitlab.com/packman.io/site" target="_blank">packman.io</a></div>  

				      <p><br />(this website)</p>  
					<p>Powered by Jekyll and proudly running on Debian/GNU Linux</p>
				     </div>  
				    </div>  
				   </div>  

				  <div class="wrapper">  

				    <div class="card front-face">  
				     <img src="/img/foobilliards-snooker1.png" alt="FooBilliard++" />  
				    </div>  
				    <div class="card back-face">  
				     <div class="info">  
				      <div class="title"><a href="https://github.com/alrusdi/foobillardplus" target="_blank">FooBilliard++</a></div>  

				      <p><br />FooBillard++ is a free OpenGL-billiard game</p>  
					<p>Originally created by Florian Berger</p>
					<p>Later remastered by Holger Schaekel and finally - by me:)</p>
				     </div>  
				    </div>  
				   </div>  
				  <div class="wrapper">  

				    <div class="card front-face">  
				     <img src="/img/nginx-vod.png" alt="nginx-vod-module"/>  
				    </div>  
				    <div class="card back-face">  
				     <div class="info">  
				      <div class="title"><a href="https://github.com/kaltura/nginx-vod-module" target="_blank">Nginx VOD Module</a></div>  

				      <p><br />NGINX-based VOD Packager</p>  
					<p>On-the-fly repackaging of MP4 files to DASH, HDS, HLS, MSS</p>
				     </div>  
				    </div>  
				   </div>  

				  <div class="wrapper">  

				    <div class="card front-face">  
				     <img src="/img/wcit.png" alt="Guess the Booze" />  
				    </div>  
				    <div class="card back-face">  
				     <div class="info">  
				      <div class="title"><a href="https://drinks.packman.io" target="_blank">Guess the Booze</a></div>  

					<p><br />Guess the Booze</p>
					<p>Looking for something fun to do on the go?</p>
					<p>This may be the game for you:)</p>
				     </div>  
				    </div>  
				   </div>  


				  <div class="wrapper">  

				    <div class="card front-face">  
				     <img src="/img/Open-Smartwatch.png" alt="Open-Smartwatch"/>  
				    </div>  
				    <div class="card back-face">  
				     <div class="info">  
				      <div class="title"><a href="https://github.com/Open-Smartwatch/open-smartwatch-os/pull/298" target="_blank">Open-Smartwatch</a></div>  

				      <p><br />The Open-Smartwatch Operating System.</p>  
					<p>I contributed a Numeral watchface</p>
				     </div>  
				    </div>  
				   </div>  

				  <div class="wrapper">  

				    <div class="card front-face">  
				     <img src="/img/adobe.jpg" alt="Adobe Connect to MKV"/>  
				    </div>  
				    <div class="card back-face">  
				     <div class="info">  
				      <div class="title"><a href="https://github.com/kaltura/adobe-connect-to-mkv-to-kaltura" target="_blank">Adobe Connect to MKV</a></div>  

				      <p><br />This code generates MKV files out of AC recordings</p>  
					<p>Struggling to migrate your content from Adobe? This is for you!</p>
				     </div>  
				    </div>  
				   </div>  

				  <div class="wrapper">  

				    <div class="card front-face">  
				     <img src="/img/docker_ffmpeg.png" alt="fully-static-ffmpeg"/>  
				    </div>  
				    <div class="card back-face">  
				     <div class="info">  
				      <div class="title"><a href="https://gitlab.com/packman.io/fully-static-ffmpeg-build" target="_blank">fully-static-ffmpeg</a></div>  

				      <p><br />Absolutely have to produce FFmpeg binaries with zero dynamic deps?</p>  
					<p>Give this one a go:)</p>
				     </div>  
				    </div>  
				   </div>  

				  <div class="wrapper">  

				    <div class="card front-face">  
				     <img src="/img/cligen.png" alt="Kaltura SDK Generator"/>  
				    </div>  
				    <div class="card back-face">  
				     <div class="info">  
				      <div class="title"><a href="https://github.com/kaltura/clients-generator" target="_blank">Kaltura SDK Generator</a></div>  

				      <p><br />Code introspection based automation for API native SDKs generation</p>  
				     </div>  
				    </div>  
				   </div>  

			</div>
		</div>
	</div>
	<!-- end portfolio -->

		<!-- start contact -->
		<div id="contact" class="section">
			<div class="container">
				<div class="row">
					<div class="col-lg-5 col-lg-offset-1 col-md-6 wow fadeInUp" data-wow-delay="0.6s">
						<address>
							<p class="contact-title">CONTACT ME</p>
							<!--p><i class="fa fa-phone"></i> 090-080-0760</p-->
							<p><a target="_blank" href="mailto:{{ site.email }}"><i class="fa fa-envelope-o"></i>{{ site.email }}</a></p>
							<p><a target="_blank" href="https://www.linkedin.com/in/{{ linkedin_username }}"><i class="fa fa-linkedin"></i>{{ site.linkedin_username }}</a></p>
						</address>
					</div>
					<div class="col-lg-6 col-md-6 col-xs-10 wow fadeInUp" data-wow-delay="0.6s">
						<form role="form" name="sentMessage" id="contactForm">
							<input name="name" type="text" class="form-control" id="name" placeholder="Your Name" required data-validation-required-message="Please enter your name.">
							<input name="email" type="email" class="form-control" id="email" placeholder="Your Email" required data-validation-required-message="Please enter your email address.">
							<input type="tel" class="form-control" placeholder="Phone Number" id="phone" >
							<textarea name="message" rows="5" class="form-control" id="message" placeholder="Your Message" required data-validation-required-message="Please enter a message."></textarea>
							  <div id="success"></div>
							  <div class="form-group">
							    <button type="submit" class="btn btn-primary" id="sendMessageButton">Send</button>
							    <!--a href="javascript:$('#form_id').submit();" class="btn btn-default smoothScroll wow fadeInUp" >SEND</a-->
							  </div>
						</form>

					</div>
					<div class="col-md-1 col-sm-1"></div>
				</div>
			</div>
		</div>
		<!-- end contact -->

		<!-- start footer -->
		<footer>
			<div class="container">
				<div class="row">
					<div class="col-md-12 wow fadeIn" data-wow-delay="0.9s">
						<p>Copyright &copy; {{ site.author }}  
                        
						<hr>
						<ul class="social-icon">
							<li><a target="_blank" href="https://gitlab.com/{{ gitlab_username }}" class="fa fa-gitlab"></a></li>
							<li><a target="_blank" href="https://github.com/{{ github_username }}" class="fa fa-github"></a></li>
							<li><a target="_blank" href="https://www.linkedin.com/in/{{ linkedin_username }}" class="fa fa-linkedin"></a></li>
						</ul>
					</div>
				</div>
			</div>
		</footer>
		<!-- end footer -->

	</div>


	</body>
</html>
